% SCRIPT DI INIZIALIZZAZIONE PARAMETRI PER 
% LEVITATORE MAGNETICO

m  = 0.0300;
mpert = 0;
R  = 45;
L1 = 0.6000;
C  = 6.3000e-04;

g = 9.80;

%CONDIZIONI INIZIALI:
x1_0 = 0.1;
x2_0 = 0;
x3_0 = 0.2;

%SET-POINT:
x1_d = 0.05;
x2_d = 0;
x3_d = sqrt(g*m/C)*x1_d;

% condizione equilibrio x = [x1_d x2_d x3_d] 
% u_d = x3_d*R

K = 1.0e+03 * [-2.4567   -0.1235    0.0237];

% Tempo di campionamento

Ts = 0.005;

% Modello linearizzato attorno alla condizione di 
% equilibrio

Am = 1.0e+03 * [0         0         0.0010
                4.0945   -0.1145    0.2067
                0.3920   -0.0181         0];
            
            
Bm = 1.0e+03 * [0
                -1.6210
                0];
            

Cm = [1     0     0
      0     1     0];
  
  
Dm = [0
      0];
  
return  